## gnupg2 2.2.46

=== debian/changelog ===
gnupg2 (2.2.46-6) unstable; urgency=high

  * Formatting fixes for gpgcompose.1 by Bjarni Ingi Gislason.
    (Closes: #1100448)
  * Revert FreePG patch for CSF newline cleanup. Closes: #1101011

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Mar 2025 11:22:35 +0100

gnupg2 (2.2.46-5) unstable; urgency=medium

  * avoid a double-free (pulled from STABLE-BRANCH-2-2 upstream)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 13 Mar 2025 09:54:22 -0400

gnupg2 (2.2.46-4) unstable; urgency=medium

  * Avoid regression when verifying signatures from revoked or expired
    keys (Closes: #1099141)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 07 Mar 2025 16:00:13 -0500

gnupg2 (2.2.46-3) unstable; urgency=medium

  * update FreePG patches
  * Support --enable-large-rsa in non-batch mode (following FreePG)
  * Verify text-mode Signatures over binary Literal Data Packets

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Mar 2025 14:11:13 -0500

gnupg2 (2.2.46-2) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * drop GSM_SKIP_SSH_AGENT_WORKAROND hack

  [ Andreas Metzler ]
  * block-ptrace-on-secret-daemons accepted into FreePG, rename.

  [ Daniel Kahn Gillmor ]
  * 3 more patches adopted by FreePG
  * Improve default digest algorithm, align with FreePG
  * Disallow compressed signatures and certificates (also FreePG)
  * Avoid keyring denial of service. CVE-2025-30258

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Feb 2025 16:19:01 -0500

gnupg2 (2.2.46-1) unstable; urgency=medium

  * Change upstream tarball version number now that upstream has published
    the 2.2.46 git tag.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 10 Jan 2025 15:53:05 -0500

gnupg2 (2.2.46~pre1-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * New upstream version (labeled "~pre1" because tarball was generated
    from git by dkg with "make dist"; if upstream provides a formal
    tarball we can switch to that without the "~pre1" suffix; see
    https://dev.gnupg.org/T7314)
  * Adopt FreePG-labeled versions of more patches
  * Drop LISTTRUSTED patch, already applied upstream
  * refresh remaining patches

  [ Bastien Roucariès ]
  * Improve systemd integration of gpg-agent's ssh socket by injecting
    environment variable at socket creation/destruction

  [ Richard Hansen ]
  * Condition environment variable setting based on enable-ssh-support
    configuration.
  * debian/Xsession.d/90gpg-agent: Add comment explaining GPG_AGENT_INFO
  * systemd gpg-agent.socket: announce GPG_AGENT_INFO to the environment
    for the benefit of gnupg1

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 08 Jan 2025 16:26:04 -0500

gnupg2 (2.2.45-3) unstable; urgency=medium

  * Use freepg-labeled patches
  * put freepg patches first, sorted
  * drop outdated m4 files declaratively, not as patches
  * Fix spelling

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 08 Jan 2025 09:35:49 -0500

gnupg2 (2.2.45-2) unstable; urgency=low

  * Fix status output for LISTTRUSTED. Patch from upstream STABLE-BRANCH-2-2
    branch. Closes: #1086271
  * Do not throw exit code 2 on importing rev-cert for expired key.
    Patch from upstream GIT master. Closes: #1086140

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 Nov 2024 12:49:11 +0100

gnupg2 (2.2.45-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Oct 2024 18:22:49 +0200

gnupg2 (2.2.44-1) unstable; urgency=medium

  * New upstream version.
    + Refresh patches, drop cherry-picked one.
    + Drop outdated libassuan.m4. Closes: #1081866

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Sep 2024 13:45:10 +0200

gnupg2 (2.2.43-8) unstable; urgency=medium

  * Team upload.
  * Update nl.po. Closes: #1072492
  * Drop outdated copy of m4/libgcrypt.m4. Closes: #1076882

 -- Andreas Metzler <ametzler@debian.org>  Wed, 24 Jul 2024 18:49:30 +0200

gnupg2 (2.2.43-7) unstable; urgency=medium

  [ наб ]
  * d/control: fix Vcs-Git
  * Port scripts from bash to /bin/sh

  [ Otto Kekäläinen ]
  * Enable Salsa-CI

  [ Daniel Kahn Gillmor ]
  * wrap-and-sort -ast
  * Move the gnupg package into the metapackages section
  * Move gpgv, gnupg-utils, and gpg-wks-client into Recommends of gnupg

  [ Andreas Metzler ]
  * Cherrypick fix for Yubikey with KDF enabled (Closes: #1071168)
  * Fix blhc CI

  [ Daniel Kahn Gillmor ]
  * Avoid breakage with epg.el (Closes: #1071552)
  * autopkgtest: Add a test for #1071552

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 31 May 2024 19:22:29 -0400

gnupg2 (2.2.43-6) unstable; urgency=medium

  * actually fix arch-independent (win32) builds
  * restore nl.po

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 17 May 2024 01:30:10 -0400

gnupg2 (2.2.43-5) unstable; urgency=medium

  * Fix arch-independent (win32) builds
  * Strip Changelog-2011 files when building too

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 16 May 2024 19:53:06 -0400

gnupg2 (2.2.43-4) unstable; urgency=medium

  * Stop shipping upstream ChangeLog (/usr/share/doc/*/changelog.gz)
  * Use debian standard UnicodeData.txt
  * Refresh patches
  * Rebuild generated header files in common/

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 16 May 2024 17:23:01 -0400

gnupg2 (2.2.43-3) unstable; urgency=medium

  * add librsvg2-bin as a build-dep for documentation

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 15 May 2024 01:07:12 -0400

gnupg2 (2.2.43-2) unstable; urgency=medium

  * d/changelog: correct old misspelling of "ghostscript"
  * Generate documentation artifacts from source, respecting nodoc

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 14 May 2024 20:34:53 -0400

gnupg2 (2.2.43-1) unstable; urgency=medium

  [ Andreas Metzler ]
  * New upstream version.
    + Unfuzz patches.
    + Drop patches from-upstream/*.
    + Bump b-d versioning for libgnutls28-dev, libgpg-error-dev and
      libksba-dev as specified in configure.ac.

