## gnupg2 2.4.4

=== debian/changelog ===
gnupg2 (2.4.4-2ubuntu17) noble; urgency=medium

  * No-change rebuild against libnpth0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 06 Apr 2024 16:25:03 +0000

gnupg2 (2.4.4-2ubuntu16) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:07:54 +0000

gnupg2 (2.4.4-2ubuntu15) noble; urgency=medium

  * Also drop build dependency on libcurl4-gnutls-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Mar 2024 10:32:56 +0100

gnupg2 (2.4.4-2ubuntu13) noble; urgency=medium

  * Old drop build dependency on ghostscript, only used in maintainer mode.
  * Rebuild with gnutls28 t64 packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2024 09:31:32 +0100

gnupg2 (2.4.4-2ubuntu11) noble; urgency=medium

  * Drop imagemagick & transfig build dependency,
    only used in maintainer mode.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Mar 2024 10:39:06 +0100

gnupg2 (2.4.4-2ubuntu9) noble; urgency=medium

  * d/p/no-keyboxd.patch: Do not use keyboxd by default
  * gpg{,sm}: Recommend gpg-agent, dirmngr; suggest keyboxd

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 01 Mar 2024 09:25:55 +0100

gnupg2 (2.4.4-2ubuntu8) noble; urgency=medium

  * Regenerate status-codes.h and reenable --assert-pubkey_algo (LP: #2055193)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 28 Feb 2024 13:35:53 +0100

gnupg2 (2.4.4-2ubuntu7) noble; urgency=medium

  * Fix a typo: Syntax error in Recommends: gpg-wks-client

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 19:36:17 +0100

gnupg2 (2.4.4-2ubuntu6) noble; urgency=medium

  * Demote gpg-wks-client to Recommends instead

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 19:19:54 +0100

gnupg2 (2.4.4-2ubuntu5) noble; urgency=medium

  * Do not depend on gpg-wks-client on i386

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 19:06:44 +0100

gnupg2 (2.4.4-2ubuntu4) noble; urgency=medium

  * Stop building gpg-wks-server, gpg-wks-client on i386

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Feb 2024 16:22:49 +0100

gnupg2 (2.4.4-2ubuntu3) noble; urgency=medium

  * debian/migrate-pubring-from-classic-gpg: Add 2.4 to allowlist
  * d/tests/simple-tests: Use RSA keys for now.
    'default' key type does not work in batch mode anymore due to needing two
    subkeys (ed25519 for signing, and cv25519 for encryption).
  * gnupg: Demote gpg-wks-server to Suggests.
    We don't want this installed by default, it pulls in an mta, and we don't
    host wks servers by default.
  * gnupg: Demote gnupg-l10n to Recommends.
    Translations are nice, but I want to be able to remove them on
    an English system without breaking Depends.
  * Demote all Recommends: gnupg to Suggests.
    If we selectively install a specific part of gpg it should not
    by default pull in the entire suite again.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 16 Feb 2024 11:03:09 +0100

gnupg2 (2.4.4-2ubuntu2) noble; urgency=medium

  * Disable add-option-assert-pubkey_algo.patch for now

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 12:08:30 +0100

gnupg2 (2.4.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Honor http_proxy= environment variables by default in the systemd
      user session dirmngr service.
    - Drop the gpgv-win32 test
  * The dirmngr change now patches debian/dirmngr.user.service directly
  * Import upstream patch gpg: Add option --assert-pubkey_algo

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 10:44:42 +0100

gnupg2 (2.4.4-2) experimental; urgency=low

  * Fix binary-all FTBFS by running a regular build for arch-all builds.
    Otherwise the test suite was run against /usr/bin/gpg for
    binary-all builds and failed if it was missing.
  * Drop now unused (gpgcompose was removed upstream) build with
    --enable-maintainer-mode.
  * Speed up indep build by only running needed dh_auto_configure instances.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Jan 2024 09:02:36 +0100

gnupg2 (2.4.4-1) experimental; urgency=low

  * Team upload.
  * Drop transitional gpgv2 package (requested in #873186) and update CI
    test dependencies. Also remove Breaks/Replaces against ancient
    (pre-buster) versions of gpgv2.
  * Drop Breaks/Replaces against ancient versions of gnupg/gnupg2.
  * Delete keyboxd's Breaks/Replaces against gnupg2 - They are not needed.
  * Update CI test dependencies (gnupg2 --> gnupg).
  * New upstream version.
    + Drop from-master/keep-the-status-output.patch, unfuzz
      Use-hkps-keys.openpgp.org-as-the-default-keyserver.patch.
    + Update gnutls b-d version requirement.
    + Update debian/copyright.
    + spelling-fixes.diff: Fix errors found by lintian.
  * Fixup recommends of architecture-any packages on architecture-all package
    "gnupg" to use (= ${source:Version}) instead of binary:Version. (Thanks,
    James McCoy) Closes: #1060366
  * Set --with-mailprog=/usr/sbin/sendmail and add a dependency on
    default-mta | mail-transport-agent to gpg-wks-server. Closes: #1025782
  * Run wrap-and-sort -ast.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Jan 2024 13:44:25 +0100

gnupg2 (2.4.3-2) experimental; urgency=low

  * Duplicate lintian override for embedded-library in gpgv-static in old
    lintian syntax to avoid auto-reject.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Sep 2023 19:09:42 +0200

gnupg2 (2.4.3-1) experimental; urgency=low

  [ Andreas Metzler ]
  * Team upload.
  * New upstream version.
    + Update patch-queue.
    + Ship /usr/lib/gnupg/gpg-auth in scdaemon package.
    + Tighten b-d as required.
    + gpg-zip script dropped, bugreport therefore irrelevant. Closes: #913060
    + Also drop unused debian/gpg-zip.1.
    + systemd user unit examples dropped upstream (2.4.1).
  * Merge changes from stable uploads after 2.2.27-2.

