=== debian/control ===
--- 
+++ 
@@ -1,48 +1,44 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders:
  Eric Dorland <eric@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
- Andreas Metzler <ametzler@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Build-Depends:
  automake,
  autopoint,
  debhelper-compat (= 13),
- fig2dev <!nodoc>,
  file,
  gettext,
  gpgrt-tools,
- imagemagick <!nodoc>,
  libassuan-dev (>= 2.5.0),
  libbz2-dev,
- libgcrypt20-dev (>= 1.8.0),
+ libgcrypt20-dev (>= 1.9.1),
  libgnutls28-dev (>= 3.2),
- libgpg-error-dev (>= 1.38),
- libksba-dev (>= 1.4.0),
+ libgpg-error-dev (>= 1.46),
+ libksba-dev (>= 1.6.3),
  libldap2-dev,
  libnpth0-dev (>= 1.2),
  libreadline-dev,
- librsvg2-bin <!nodoc>,
  libsqlite3-dev,
  libusb-1.0-0-dev [!hurd-any],
  openssh-client <!nocheck>,
- pkgconf,
- texinfo <!nodoc>,
- unicode-data,
+ pkg-config,
+ texinfo,
  zlib1g-dev | libz-dev,
 Build-Depends-Indep:
  binutils-multiarch [!amd64 !i386],
  libassuan-mingw-w64-dev (>= 2.5.0),
- libgcrypt-mingw-w64-dev (>= 1.8.0),
- libgpg-error-mingw-w64-dev (>= 1.45),
- libksba-mingw-w64-dev (>= 1.3.5),
+ libgcrypt-mingw-w64-dev (>= 1.9.1),
+ libgpg-error-mingw-w64-dev (>= 1.46),
+ libksba-mingw-w64-dev (>= 1.6.3),
  libnpth-mingw-w64-dev (>= 1.2),
  libz-mingw-w64-dev,
  mingw-w64,
-Vcs-Git: https://salsa.debian.org/debian/gnupg2.git
+Vcs-Git: https://salsa.debian.org/debian/gnupg2.git -b debian/main
 Vcs-Browser: https://salsa.debian.org/debian/gnupg2
 Homepage: https://www.gnupg.org/
 Rules-Requires-Root: no
@@ -91,9 +87,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnupg (= ${source:Version}),
- ${shlibs:Recommends},
-Suggests:
+ ${shlibs:Recommends},
+Suggests:
+ gnupg (= ${source:Version}),
  dbus-user-session,
  libpam-systemd,
  pinentry-gnome3,
@@ -118,7 +114,7 @@
  fail.
 
 Package: gpg-wks-server
-Architecture: any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: foreign
 Depends:
  default-mta | mail-transport-agent,
@@ -127,8 +123,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnupg (= ${source:Version}),
- ${shlibs:Recommends},
+ ${shlibs:Recommends},
+Suggests:
+ gnupg (= ${source:Version}),
 Description: GNU privacy guard - Web Key Service server
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -145,7 +142,7 @@
  For more information see: https://wiki.gnupg.org/WKS
 
 Package: gpg-wks-client
-Architecture: any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: foreign
 Depends:
  dirmngr (= ${binary:Version}),
@@ -154,8 +151,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnupg (= ${source:Version}),
- ${shlibs:Recommends},
+ ${shlibs:Recommends},
+Suggests:
+ gnupg (= ${source:Version}),
 Description: GNU privacy guard - Web Key Service client
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -197,8 +195,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnupg (= ${source:Version}),
- ${shlibs:Recommends},
+ ${shlibs:Recommends},
+ dirmngr,
+ gpg-agent,
+Suggests:
+ gnupg (= ${source:Version}),
+ keyboxd,
 Description: GNU privacy guard - S/MIME version
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -217,8 +219,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnupg (= ${source:Version}),
- ${shlibs:Recommends},
+ ${shlibs:Recommends},
+ dirmngr,
+ gpg-agent,
+Suggests:
+ gnupg (= ${source:Version}),
+ keyboxd,
 Breaks:
  gnupg (<< 2.1.21-4),
 Replaces:
@@ -237,33 +243,34 @@
 
 Package: gnupg
 Architecture: all
-Section: metapackages
 Multi-Arch: foreign
 Depends:
  dirmngr (<< ${source:Version}.1~),
  dirmngr (>= ${source:Version}),
- gnupg-l10n (= ${source:Version}),
+ gnupg-utils (<< ${source:Version}.1~),
+ gnupg-utils (>= ${source:Version}),
  gpg (<< ${source:Version}.1~),
  gpg (>= ${source:Version}),
  gpg-agent (<< ${source:Version}.1~),
  gpg-agent (>= ${source:Version}),
  gpgsm (<< ${source:Version}.1~),
  gpgsm (>= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- gnupg-utils (<< ${source:Version}.1~),
- gnupg-utils (>= ${source:Version}),
+ gpgv (<< ${source:Version}.1~),
+ gpgv (>= ${source:Version}),
+ keyboxd (<< ${source:Version}.1~),
+ keyboxd (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ ${shlibs:Recommends},
+ gnupg-l10n (= ${source:Version}),
  gpg-wks-client (<< ${source:Version}.1~),
  gpg-wks-client (>= ${source:Version}),
- gpgv (<< ${source:Version}.1~),
- gpgv (>= ${source:Version}),
- ${shlibs:Recommends},
-Suggests:
+Suggests:
+ parcimonie,
+ xloadimage,
  gpg-wks-server (<< ${source:Version}.1~),
  gpg-wks-server (>= ${source:Version}),
- parcimonie,
- xloadimage,
 Breaks:
  debsig-verify (<< 0.15),
  dirmngr (<< ${binary:Version}),
@@ -329,13 +336,13 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- gnupg (= ${source:Version}),
  ${shlibs:Recommends},
 Enhances:
  gpg,
  gpgsm,
  squid,
 Suggests:
+ gnupg (= ${source:Version}),
  dbus-user-session,
  libpam-systemd,
  pinentry-gnome3,
@@ -353,28 +360,20 @@
  among other tools.  Unless this package is installed, the parts of
  the GnuPG suite that try to interact with the network will fail.
 
-Package: gpgv-udeb
-Package-Type: udeb
-Section: debian-installer
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: minimal signature verification tool
- GnuPG is GNU's tool for secure communication and data storage.
- It can be used to encrypt data and to create digital signatures.
- It includes an advanced key management facility and is compliant
- with the proposed OpenPGP Internet standard as described in RFC 4880.
- .
- This is GnuPG's signature verification tool, gpgv, packaged in minimal
- form for use in debian-installer.
-
-Package: gpgv-static
-Architecture: any
-Multi-Arch: foreign
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- debian-archive-keyring,
- debootstrap,
+Package: keyboxd
+Architecture: any
+Multi-Arch: foreign
+Depends:
+ gpgconf (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ ${shlibs:Recommends},
+Suggests:
+ gnupg (= ${source:Version}),
+ dbus-user-session,
+ libpam-systemd,
+Description: GNU privacy guard - public key material service
+ GnuPG is GNU's tool for secure communication and data storage.
+ It can be used to encrypt data and to create digital signatures.
+ It includes an advanced key management facility and is compliant
