=== debian/tests/control ===
Tests: simple-tests
Depends:
 gnupg,
 gpgv,
Restrictions: allow-stderr

Tests: migration
Depends:
 debian-archive-keyring,
 gnupg-utils,
 gnupg1,
 gpg,
Restrictions: allow-stderr
